petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateSubmesh

Extract a hypersurface from the mesh using vertices defined by a label

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateSubmesh(DM dm, DMLabel vertexLabel, PetscInt value, DM *subdm)

### Input Parameters

| dm | - The original mesh Many br
| vertexLabel | - The DMLabel marking vertices contained in the surface Many br
| value | - The label value to use Many br

### Output Parameter

subdm -The surface mesh Many br

Note: This function produces a DMLabel mapping original points in the submesh to their depth. This can be obtained using DMPlexGetSubpointMap(). Many br

Many br

### See Also

DMPlexGetSubpointMap(), DMGetLabel(), DMLabelSetValue()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages